Subject: 2.4.27 network related Oopses

From: Andreas Steinmetz <[email-masked]>
Date: Sat, 18 Dec 2004 11:55:02 +0100

[please CC me on replies as I'm not subscribed]

Below are two somewhat similar Oopses from two different systems with an 
identical kernel configuration (attached) captured with netconsole. The 
kernel is a 2.4.27 with some patches. The Oopses happen not often (once 
every 4 to 8 weeks on average). They do have in common that they happen 
when there is lots of disk I/O and network I/O.
============================================================================
ksymoops 2.4.9 on i686 2.4.27.  Options used
      -V (default)
      -k /proc/ksyms (default)
      -l /proc/modules (default)
      -o /lib/modules/2.4.27/ (default)
      -m /boot/System.map (specified)

Oops: 0002
CPU:    0
EIP:    0010:[<c013ddc1>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010013
eax: 000ff0c4   ebx: ffffffff   ecx: f7d22140   edx: 00000000
esi: c1c0f6a8   edi: 00000286   ebp: cc98d020   esp: ed541bac
ds: 0018   es: 0018   ss: 0018
Process cut (pid: 25393, stackpage=ed541000)
cc31f3c0
0025ca70
0000c98d
e1b55a40
00000003
e1b55aa0
cc98d020
c02f1ea3
cc98d000
00000358
e1b55a40
c02f1ff9
e1b55a40
00000202
fffffff4
c0332733
e1b55a40
c05f6290
cc98d020
e1b55a40
00000006
e1b55a40
cc98d020
c0332849
Call Trace:
  [<c02f1ea3>]
  [<c02f1ff9>]
  [<c0332733>]
  [<c0332849>]
  [<c0313831>]
  [<c02fe903>]
  [<c0313760>]
  [<c03132e4>]
  [<c0313760>]
  [<c0313ab9>]
  [<c03138d0>]
  [<c02fe903>]
  [<c03138d0>]
  [<c03136cb>]
Warning (Oops_read): Code line not seen, dumping what data is available

 >>EIP; c013ddc1 <kfree+51/d0>   <=====

 >>ecx; f7d22140 <_end+376713c8/38275308>
 >>esi; c1c0f6a8 <_end+155e930/38275308>
 >>ebp; cc98d020 <_end+c2dc2a8/38275308>
 >>esp; ed541bac <_end+2ce90e34/38275308>

Trace; c02f1ea3 <kfree_skbmem+13/70>
Trace; c02f1ff9 <__kfree_skb+f9/150>
Trace; c0332733 <raw_rcv_skb+93/170>
Trace; c0332849 <raw_rcv+39/60>
Trace; c0313831 <ip_local_deliver_finish+d1/170>
Trace; c02fe903 <nf_hook_slow+b3/180>
Trace; c0313760 <ip_local_deliver_finish+0/170>
Trace; c03132e4 <ip_local_deliver+1a4/1d0>
Trace; c0313760 <ip_local_deliver_finish+0/170>
Trace; c0313ab9 <ip_rcv_finish+1e9/270>
Trace; c03138d0 <ip_rcv_finish+0/270>
Trace; c02fe903 <nf_hook_slow+b3/180>
Trace; c03138d0 <ip_rcv_finish+0/270>
Trace; c03136cb <ip_rcv+3bb/450>

1 warning issued.  Results may not be reliable.
================================================================================
ksymoops 2.4.9 on i686 2.4.27.  Options used
      -V (default)
      -k /proc/ksyms (default)
      -l /proc/modules (default)
      -o /lib/modules/2.4.27/ (default)
      -m /boot/System.map (specified)

Oops: 0002
CPU:    0
EIP:    0010:[<c013ddc1>]    Not tainted
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010013
eax: 000e5896   ebx: ffffffff   ecx: f7d22240   edx: 00000000
esi: c1c0f6a8   edi: 00000286   ebp: c6626020   esp: d373bbac
ds: 0018   es: 0018   ss: 0018
Process userupdate.cvs (pid: 10934, stackpage=d373b000)
f5e16780
00132720
00006626
f670f600
00000003
f670f660
c6626020
c02f1ea3
c6626000
00000358
f670f600
c02f1ff9
f670f600
00000202
fffffff4
c0332733
f670f600
c05f6290
c6626020
f670f600
00000006
f670f600
c6626020
c0332849
Call Trace:
  [<c02f1ea3>]
  [<c02f1ff9>]
  [<c0332733>]
  [<c0332849>]
  [<c0313831>]
  [<c02fe903>]
  [<c0313760>]
  [<c03132e4>]
  [<c0313760>]
  [<c0313ab9>]
  [<c03138d0>]
  [<c02fe903>]
  [<c03138d0>]
Warning (Oops_read): Code line not seen, dumping what data is available

 >>EIP; c013ddc1 <kfree+51/d0>   <=====

 >>ecx; f7d22240 <_end+376714c8/38275308>
 >>esi; c1c0f6a8 <_end+155e930/38275308>
 >>ebp; c6626020 <_end+5f752a8/38275308>
 >>esp; d373bbac <_end+1308ae34/38275308>

Trace; c02f1ea3 <kfree_skbmem+13/70>
Trace; c02f1ff9 <__kfree_skb+f9/150>
Trace; c0332733 <raw_rcv_skb+93/170>
Trace; c0332849 <raw_rcv+39/60>
Trace; c0313831 <ip_local_deliver_finish+d1/170>
Trace; c02fe903 <nf_hook_slow+b3/180>
Trace; c0313760 <ip_local_deliver_finish+0/170>
Trace; c03132e4 <ip_local_deliver+1a4/1d0>
Trace; c0313760 <ip_local_deliver_finish+0/170>
Trace; c0313ab9 <ip_rcv_finish+1e9/270>
Trace; c03138d0 <ip_rcv_finish+0/270>
Trace; c02fe903 <nf_hook_slow+b3/180>
Trace; c03138d0 <ip_rcv_finish+0/270>

1 warning issued.  Results may not be reliable.

-- 
Andreas Steinmetz                       SPAMmers use [email-masked]